diff mbox

[PATCHv2,2/3] performance: scheduling: catch exit codes

Message ID 1426588316-13309-2-git-send-email-stuart.haslam@linaro.org
State Accepted
Commit bb96116e7f780517f687cf7e61eac1bdfa72d93b
Headers show

Commit Message

Stuart Haslam March 17, 2015, 10:31 a.m. UTC
odp_scheduling_run always exits with code 0 so "make check" will never
report failures.

Signed-off-by: Stuart Haslam <stuart.haslam@linaro.org>
---
Change in v2; correct name of executable

 test/performance/odp_scheduling_run | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
diff mbox

Patch

diff --git a/test/performance/odp_scheduling_run b/test/performance/odp_scheduling_run
index 28b0ce5..a96a3d2 100755
--- a/test/performance/odp_scheduling_run
+++ b/test/performance/odp_scheduling_run
@@ -3,13 +3,17 @@ 
 # Script that passes command line arguments to odp_scheduling test when
 # launched by 'make check'
 
+ret=0
+
 run()
 {
 	echo odp_scheduling_run starts with $1 worker threads
 	echo ===============================================
 
-	./odp_scheduling -c $1
+	./odp_scheduling -c $1 || ret=1
 }
 
 run 1
 run 8
+
+exit $ret